/**
 * report的接口管理
 */
import {postAction,postFormAction} from '@/api/manage'

let prefix = 'report/ciop/'

let listByDB = (params) => postAction(prefix +"table/listByDB" , params);
let countByDB = (params) => postAction(prefix +"table/countByDB" , params);
let create = (params) => postAction(prefix +"table/create" , params);
let moidy = (id,params) => postAction(prefix +"table/moidy/"+id , params);
let listReport = (params) => postAction(prefix +"table/list" , params);
let deleteReport = (id) => postAction(prefix +"table/delete/"+id);
let info = (id) => postAction(prefix +"table/info/"+id);
let columns = (id,params) => postAction(prefix +"column/columns/"+id, params);
let save = (id,params) => postFormAction(prefix +"column/save/"+id, params);
let fromDataBase = (table) => postAction(prefix +"column/fromDataBase/"+table);

export {
    listByDB,
    create,
    moidy,
    listReport,
    deleteReport,
    info,
    countByDB,
    columns,
    save,
    fromDataBase
}
